### Name: polr
### Title: Proportional Odds Logistic Regression
### Aliases: polr extractAIC.polr predict.polr print.polr summary.polr
###   print.summary.polr vcov.polr model.frame.polr
### Keywords: models

### ** Examples

options(contrasts = c("contr.treatment", "contr.poly"))
house.plr <- polr(Sat ~ Infl + Type + Cont, weights = Freq, data = housing)
house.plr
summary(house.plr)
predict(house.plr, housing, type = "p")
addterm(house.plr, ~.^2, test = "Chisq")
house.plr2 <- stepAIC(house.plr, ~.^2)
house.plr2$anova



