### Name: clara
### Title: Clustering Large Applications
### Aliases: clara
### Keywords: cluster

### ** Examples

## generate 500 objects, divided into 2 clusters.
x <- rbind(cbind(rnorm(200,0,8), rnorm(200,0,8)),
           cbind(rnorm(300,50,8), rnorm(300,50,8)))
clarax <- clara(x, 2)
clarax
clarax$clusinfo
plot(clarax)

## `xclara' is an artificial data set with 3 clusters of 1000 bivariate
## objects each.
data(xclara)
(clx3 <- clara(xclara, 3))
## Plot similar to Figure 5 in Struyf et al (1996)
##Don't run: plot(clx3, ask = TRUE)
plot(clx3)

## Try 100 times *different* random samples -- for reliability:

set.seed(421)# (reproducibility)
cl <- matrix(NA,nrow(xclara), 100)
for(i in 1:100) cl[,i] <- clara(xclara, 3, rngR = TRUE)$cluster
rcl <- apply(cl,1, range)
## those that are not always in same cluster (5 out of 3000 for this seed):
(iDoubt <- which(rcl[1,] != rcl[2,]))
if(length(iDoubt)) { # (not for all seeds)
  tabD <- apply(cl[iDoubt, , drop = FALSE], 1, table)
  colnames(tabD) <- format(iDoubt)
  names(dimnames(tabD)) <- c("cluster", "obs")
  t(tabD) # how many times in which clusters
}




