### Name: gnls
### Title: Fit Nonlinear Model Using Generalized Least Squares
### Aliases: gnls update.gnls
### Keywords: models

### ** Examples

data(Soybean)
# variance increases with a power of the absolute fitted values
fm1 <- gnls(weight ~ SSlogis(Time, Asym, xmid, scal), Soybean,
            weights = varPower())
summary(fm1)
# errors follow an auto-regressive process of order 1
fm2 <- update(fm1, correlation = corAR1(0.6))



