### Name: HoltWinters
### Title: Holt-Winters Filtering
### Aliases: HoltWinters
### Keywords: ts

### ** Examples

library(ts)
data(co2)

(m <- HoltWinters(co2))
plot(m)

data(AirPassengers)
(m <- HoltWinters(AirPassengers, seasonal = "mult"))
plot(m)

data(uspop)
x <- uspop + rnorm(uspop, sd = 5)
m <- HoltWinters(x, gamma = 0)
plot(m)

m2 <- HoltWinters(x, gamma = 0, beta = 0)
lines(fitted(m2), col = 3)



